Package org.apache.tools.ant.taskdefs

## Class Nice

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Nice

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class Nice
      extends Task

  A task to provide "nice-ness" to the current thread, and/or to query the current value. Examples:

       <nice currentPriority="current.value" >

  Set `currentPriority` to the current priority

       <nice newPriority="10" >

  Raise the priority of the build process (But not forked programs)

       <nice currentPriority="old" newPriority="3" >

  Lower the priority of the build process (But not forked programs), and save the old value to the property `old`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Nice()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` | Execute the task
    `void` | `setCurrentPriority​(java.lang.String currentPriority)` | The name of a property to set to the value of the current thread priority.
    `void` | `setNewPriority​(int newPriority)` | the new priority, in the range 1-10.

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Nice

          public Nice()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws BuildException

      Execute the task
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - if something goes wrong with the build

    - #### setCurrentPriority

          public void setCurrentPriority​(java.lang.String currentPriority)

      The name of a property to set to the value of the current thread priority. Optional
      Parameters:
        `currentPriority` - the property name.

    - #### setNewPriority

          public void setNewPriority​(int newPriority)

      the new priority, in the range 1-10.
      Parameters:
        `newPriority` - the new priority value.